Bug 1319992 - RFE: Lease support for gluster
Summary: RFE: Lease support for gluster
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Poornima G
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1337638 1369026
TreeView+ depends on / blocked
 
Reported: 2016-03-22 04:56 UTC by Poornima G
Modified: 2018-06-20 17:56 UTC (History)
2 users (show)

Fixed In Version: glusterfs-v4.1.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1369026 (view as bug list)
Environment:
Last Closed: 2018-06-20 17:56:51 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Poornima G 2016-03-22 04:56:30 UTC
Description of problem:
This is a but for tracking the lease feature for Gluster.
Design doc can be found at http://review.gluster.org/#/c/11980/

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Mike McCune 2016-03-28 23:17:33 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 2 Vijay Bellur 2016-04-04 11:49:03 UTC
REVIEW: http://review.gluster.org/13901 (rpc: Change the way client uuid is built) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

Comment 3 Vijay Bellur 2016-04-18 08:46:22 UTC
REVIEW: http://review.gluster.org/11596 (core: add lease fop) posted (#19) for review on master by Poornima G (pgurusid@redhat.com)

Comment 4 Vijay Bellur 2016-04-18 08:46:25 UTC
REVIEW: http://review.gluster.org/11597 (Protocol: Add lease() fop) posted (#18) for review on master by Poornima G (pgurusid@redhat.com)

Comment 5 Vijay Bellur 2016-04-18 08:46:28 UTC
REVIEW: http://review.gluster.org/11598 (posix: Add lease() fop) posted (#18) for review on master by Poornima G (pgurusid@redhat.com)

Comment 6 Vijay Bellur 2016-04-18 08:46:30 UTC
REVIEW: http://review.gluster.org/11599 (io-threads: Add lease() fop) posted (#18) for review on master by Poornima G (pgurusid@redhat.com)

Comment 7 Vijay Bellur 2016-04-18 08:46:33 UTC
REVIEW: http://review.gluster.org/11643 (Leases: Add a server side xlator to handle lease requests) posted (#17) for review on master by Poornima G (pgurusid@redhat.com)

Comment 8 Vijay Bellur 2016-04-18 08:46:35 UTC
REVIEW: http://review.gluster.org/11600 (gfapi: add lease() fop) posted (#18) for review on master by Poornima G (pgurusid@redhat.com)

Comment 9 Vijay Bellur 2016-04-18 08:46:38 UTC
REVIEW: http://review.gluster.org/11720 (dht: Add lease() fop) posted (#16) for review on master by Poornima G (pgurusid@redhat.com)

Comment 10 Vijay Bellur 2016-04-18 08:46:40 UTC
REVIEW: http://review.gluster.org/12496 (tests: Add lease test case) posted (#14) for review on master by Poornima G (pgurusid@redhat.com)

Comment 11 Vijay Bellur 2016-04-18 08:46:43 UTC
REVIEW: http://review.gluster.org/12876 (gfapi: Add api to set lkowner and leaseid) posted (#10) for review on master by Poornima G (pgurusid@redhat.com)

Comment 12 Vijay Bellur 2016-04-18 08:46:45 UTC
REVIEW: http://review.gluster.org/11722 (glusterd: volgen and volume set changes for leases) posted (#17) for review on master by Poornima G (pgurusid@redhat.com)

Comment 13 Vijay Bellur 2016-04-18 08:46:47 UTC
REVIEW: http://review.gluster.org/14019 (gfapi: Lease recall cbk) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

Comment 14 Vijay Bellur 2016-04-18 08:50:38 UTC
REVIEW: http://review.gluster.org/11596 (core: add lease fop) posted (#20) for review on master by Poornima G (pgurusid@redhat.com)

Comment 15 Vijay Bellur 2016-04-18 08:50:40 UTC
REVIEW: http://review.gluster.org/14019 (gfapi: Lease recall cbk) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

Comment 16 Vijay Bellur 2016-04-18 08:50:43 UTC
REVIEW: http://review.gluster.org/11597 (Protocol: Add lease() fop) posted (#19) for review on master by Poornima G (pgurusid@redhat.com)

Comment 17 Vijay Bellur 2016-04-18 08:50:45 UTC
REVIEW: http://review.gluster.org/11598 (posix: Add lease() fop) posted (#19) for review on master by Poornima G (pgurusid@redhat.com)

Comment 18 Vijay Bellur 2016-04-18 08:50:48 UTC
REVIEW: http://review.gluster.org/11599 (io-threads: Add lease() fop) posted (#19) for review on master by Poornima G (pgurusid@redhat.com)

Comment 19 Vijay Bellur 2016-04-18 08:50:50 UTC
REVIEW: http://review.gluster.org/11643 (Leases: Add a server side xlator to handle lease requests) posted (#18) for review on master by Poornima G (pgurusid@redhat.com)

Comment 20 Vijay Bellur 2016-04-18 08:50:53 UTC
REVIEW: http://review.gluster.org/11600 (gfapi: add lease() fop) posted (#19) for review on master by Poornima G (pgurusid@redhat.com)

Comment 21 Vijay Bellur 2016-04-18 08:50:55 UTC
REVIEW: http://review.gluster.org/11720 (dht: Add lease() fop) posted (#17) for review on master by Poornima G (pgurusid@redhat.com)

Comment 22 Vijay Bellur 2016-04-18 08:50:58 UTC
REVIEW: http://review.gluster.org/12496 (tests: Add lease test case) posted (#15) for review on master by Poornima G (pgurusid@redhat.com)

Comment 23 Vijay Bellur 2016-04-18 08:51:00 UTC
REVIEW: http://review.gluster.org/12876 (gfapi: Add api to set lkowner and leaseid) posted (#11) for review on master by Poornima G (pgurusid@redhat.com)

Comment 24 Vijay Bellur 2016-04-18 08:51:02 UTC
REVIEW: http://review.gluster.org/11722 (glusterd: volgen and volume set changes for leases) posted (#18) for review on master by Poornima G (pgurusid@redhat.com)

Comment 25 Vijay Bellur 2016-04-21 10:01:41 UTC
COMMIT: http://review.gluster.org/11596 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 63918789fbb5f3a2d381e0f960f2dcbaf1b7ff72
Author: Poornima G <pgurusid@redhat.com>
Date:   Thu Jul 9 15:06:49 2015 +0530

    core: add lease fop
    
    Change-Id: Ia27d66b1061b0377857827515590eb89b18515c9
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/11596
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 26 Vijay Bellur 2016-04-21 11:32:01 UTC
COMMIT: http://review.gluster.org/11599 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit ba9c40ab4ee238bb6f5e6e275f339484690bc84e
Author: Poornima G <pgurusid@redhat.com>
Date:   Thu Jul 9 15:28:59 2015 +0530

    io-threads: Add lease() fop
    
    Change-Id: Ie4921867948d23b8b6c570196e88680cdb5ebfbc
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/11599
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>

Comment 27 Vijay Bellur 2016-04-21 11:32:16 UTC
COMMIT: http://review.gluster.org/11598 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit f8a6cd1d2715fc13f130b7c76d8aea75de8b5133
Author: Poornima G <pgurusid@redhat.com>
Date:   Thu Jul 9 15:31:30 2015 +0530

    posix: Add lease() fop
    
    Change-Id: I20007d7ff4536ae8180425c84a1aa7863a6f2447
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/11598
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>

Comment 28 Vijay Bellur 2016-04-25 14:30:19 UTC
COMMIT: http://review.gluster.org/11720 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 3021a9ab666e9f1a5116df84e77659aca613e955
Author: Poornima G <pgurusid@redhat.com>
Date:   Mon Jul 20 14:29:24 2015 +0530

    dht: Add lease() fop
    
    Change-Id: I0bbc2c2ef115c78393f6570815a5b80316e7e4be
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/11720
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 29 Vijay Bellur 2016-04-27 10:49:58 UTC
REVIEW: http://review.gluster.org/11597 (Protocol: Add lease() fop) posted (#20) for review on master by Poornima G (pgurusid@redhat.com)

Comment 30 Vijay Bellur 2016-04-27 11:01:42 UTC
REVIEW: http://review.gluster.org/11597 (Protocol: Add lease fop) posted (#21) for review on master by Poornima G (pgurusid@redhat.com)

Comment 31 Vijay Bellur 2016-04-27 11:01:44 UTC
REVIEW: http://review.gluster.org/11643 (Leases: Add a server side xlator to handle lease requests) posted (#19) for review on master by Poornima G (pgurusid@redhat.com)

Comment 32 Vijay Bellur 2016-04-29 05:27:52 UTC
REVIEW: http://review.gluster.org/11597 (Protocol: Add lease fop) posted (#22) for review on master by Poornima G (pgurusid@redhat.com)

Comment 33 Vijay Bellur 2016-04-29 17:07:05 UTC
REVIEW: http://review.gluster.org/11597 (Protocol: Add lease fop) posted (#23) for review on master by Poornima G (pgurusid@redhat.com)

Comment 34 Vijay Bellur 2016-04-30 05:37:43 UTC
COMMIT: http://review.gluster.org/11597 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 3c8922d123471de0c5da499420fcac6b10179786
Author: Poornima G <pgurusid@redhat.com>
Date:   Thu Jul 9 15:22:43 2015 +0530

    Protocol: Add lease fop
    
    Change-Id: I64c361d3e4ae86d57dc18bb887758d044c861237
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/11597
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 35 Vijay Bellur 2016-04-30 05:39:09 UTC
COMMIT: http://review.gluster.org/11643 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 9b60198b1a22228f85615e377c9b0cbe1e4f4ce6
Author: Poornima G <pgurusid@redhat.com>
Date:   Wed May 27 12:55:50 2015 +0530

    Leases: Add a server side xlator to handle lease requests
    
    Before this patch, there was an effort to implement leases
    in upcall xlator, these patches by Soumya and me can be
    found @ http://review.gluster.org/#/c/10084/
    
    Change-Id: I926728c7ec690727a8971039b240655882d02059
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/11643
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 36 Vijay Bellur 2016-05-01 14:52:31 UTC
REVIEW: http://review.gluster.org/11722 (glusterd: volgen and volume set changes for leases) posted (#19) for review on master by Poornima G (pgurusid@redhat.com)

Comment 37 Vijay Bellur 2016-05-05 08:57:30 UTC
REVIEW: http://review.gluster.org/11722 (glusterd: volgen and volume set changes for leases) posted (#20) for review on master by Poornima G (pgurusid@redhat.com)

Comment 38 Vijay Bellur 2016-05-10 05:56:42 UTC
REVIEW: http://review.gluster.org/14275 (leases: Fix the notify being lost) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

Comment 39 Vijay Bellur 2016-05-11 07:00:05 UTC
REVIEW: http://review.gluster.org/13901 (rpc: Change the way client uuid is built) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 40 Vijay Bellur 2016-05-12 04:36:47 UTC
REVIEW: http://review.gluster.org/14275 (leases: Fix the notify being lost) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

Comment 41 Vijay Bellur 2016-05-16 05:18:45 UTC
COMMIT: http://review.gluster.org/14275 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit 58c577994b2bf67b6f8d9749d9c7d678edfc9ceb
Author: Poornima G <pgurusid@redhat.com>
Date:   Tue May 10 01:50:08 2016 -0400

    leases: Fix the notify being lost
    
    The notify() implemented doesn't really add any value
    and the EXIT_IF_LEASES_OFF in notify() can cause the
    notifications to be lost if leases if off.
    
    Hence remove the notify definition from leases,
    also fix a log level
    
    Change-Id: I8bf30d26f08034a16a450ed811dcf8ac57d70a94
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/14275
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>

Comment 42 Vijay Bellur 2016-05-16 05:47:58 UTC
REVIEW: http://review.gluster.org/11600 (gfapi: add lease() fop) posted (#20) for review on master by Poornima G (pgurusid@redhat.com)

Comment 43 Vijay Bellur 2016-05-16 05:48:00 UTC
REVIEW: http://review.gluster.org/12496 (tests: Add lease test case) posted (#16) for review on master by Poornima G (pgurusid@redhat.com)

Comment 44 Vijay Bellur 2016-05-16 05:48:03 UTC
REVIEW: http://review.gluster.org/12876 (gfapi: Add api to set lkowner and leaseid) posted (#12) for review on master by Poornima G (pgurusid@redhat.com)

Comment 45 Vijay Bellur 2016-05-16 05:48:08 UTC
REVIEW: http://review.gluster.org/11722 (glusterd: volgen and volume set changes for leases) posted (#21) for review on master by Poornima G (pgurusid@redhat.com)

Comment 46 Poornima G 2016-05-16 06:00:51 UTC
TODOs in the descending order of priority:

1. Support of leases for EC and Sharded volumes.

2. Lease healing in case of replicated(-like) volumes

3. In case of network disconnect between gfapi client and gluster-server process, we should replay leases in case if server flushes them. Currently its been looked as part of Lease healing mentioned in (3). So we shall not have this support in case of plane distributed volume.

4.  In case of replicated(-like) volumes, we should be able to filter out duplicate LEASE_RECALL requests sent by them.

5. In case of NFS-Ganesha restart, we shall need support on glusterfs-server to be able to support reclaim of lost state by NFS clients. But if we failover only after gluster-server flushes the locks, we should be good.

6. If the client is actively flushing the I/Os, we could extend recall timer.

7. During rebalance/date-tiering, we should migrate lease. But at worst scenario, we could recall lease before migrating data.

Comment 47 Vijay Bellur 2016-05-16 12:36:28 UTC
REVIEW: http://review.gluster.org/14360 (leases: Do not init the threads when lease is disabled) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

Comment 48 Vijay Bellur 2016-05-17 05:30:58 UTC
REVIEW: http://review.gluster.org/14360 (leases: Do not init the threads when lease is disabled) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

Comment 49 Vijay Bellur 2016-05-17 05:33:41 UTC
REVIEW: http://review.gluster.org/14370 (leases: Send "this" as cookie to the timer handler) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

Comment 50 Vijay Bellur 2016-05-17 10:13:09 UTC
REVIEW: http://review.gluster.org/14374 (leases: Fix failure of RD_lease request in certain scenario) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

Comment 51 Vijay Bellur 2016-05-17 10:50:06 UTC
REVIEW: http://review.gluster.org/14370 (leases: Send "this" as cookie to the timer handler) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

Comment 52 Vijay Bellur 2016-05-19 04:45:17 UTC
REVIEW: http://review.gluster.org/14360 (leases: Do not init the threads when lease is disabled) posted (#3) for review on master by Poornima G (pgurusid@redhat.com)

Comment 53 Vijay Bellur 2016-05-19 05:31:08 UTC
REVIEW: http://review.gluster.org/14360 (leases: Do not init the threads when lease is disabled) posted (#4) for review on master by Poornima G (pgurusid@redhat.com)

Comment 54 Vijay Bellur 2016-05-19 09:28:06 UTC
COMMIT: http://review.gluster.org/14374 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 005d18a623dc49397e2a83a7fb80607ae0a9aed9
Author: Poornima G <pgurusid@redhat.com>
Date:   Tue May 17 05:47:55 2016 -0400

    leases: Fix failure of RD_lease request in certain scenario
    
    Issue:
    When RW_lease exists for a given lease id and another request for
    RD_lease comes in with the same lease id, it gets rejected.
    
    Fix:
    Allow the RD_lease when RW_lease is present iff its from the
    same lease id.
    
    Change-Id: Id8ad542c649497f5e58f2acf5681c640d9202046
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/14374
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 55 Vijay Bellur 2016-05-19 09:29:14 UTC
COMMIT: http://review.gluster.org/14370 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 84924ee0ef7cb557c54a9d467364ded86b34f40d
Author: Poornima G <pgurusid@redhat.com>
Date:   Tue May 17 01:22:37 2016 -0400

    leases: Send "this" as cookie to the timer handler
    
    Issue:
    timer-wheel implementation doesn't set the THIS to point
    to the xlator who registered the timer, before calling
    the handler. Hence referencing to THIS is any timer handler
    will point to the global_xlator.
    
    Fix: This is a bug from the timer wheel, but until that gets
    fixed passing "this" as a cookie to the timer handler.
    
    Change-Id: Ife1be56dc100372f9211e8fc7a885ac717cbcf47
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/14370
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 56 Vijay Bellur 2016-05-19 14:39:44 UTC
COMMIT: http://review.gluster.org/14360 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 6f1a71210ee0a0f3741b5ece3b5240c1e4b5fa6d
Author: Poornima G <pgurusid@redhat.com>
Date:   Mon May 16 08:27:41 2016 -0400

    leases: Do not init the threads when lease is disabled
    
    Change-Id: I08c4caf94bf3dfceba6f7d3cc8945c61d9b12dbc
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/14360
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 57 Vijay Bellur 2016-05-19 17:50:20 UTC
REVIEW: http://review.gluster.org/11600 (gfapi: add lease() fop) posted (#21) for review on master by Poornima G (pgurusid@redhat.com)

Comment 58 Vijay Bellur 2016-05-19 17:50:22 UTC
REVIEW: http://review.gluster.org/12496 (tests: Add lease test case) posted (#17) for review on master by Poornima G (pgurusid@redhat.com)

Comment 59 Vijay Bellur 2016-05-19 17:50:25 UTC
REVIEW: http://review.gluster.org/12876 (gfapi: Add api to set lkowner and leaseid) posted (#13) for review on master by Poornima G (pgurusid@redhat.com)

Comment 60 Vijay Bellur 2016-05-19 17:50:29 UTC
REVIEW: http://review.gluster.org/11722 (glusterd: volgen and volume set changes for leases) posted (#22) for review on master by Poornima G (pgurusid@redhat.com)

Comment 61 Vijay Bellur 2016-05-19 17:50:32 UTC
REVIEW: http://review.gluster.org/14434 (leases: Fix the recall code path) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

Comment 62 Vijay Bellur 2016-05-19 17:58:10 UTC
REVIEW: http://review.gluster.org/14434 (leases: Fix the recall code path) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

Comment 63 Vijay Bellur 2016-05-19 17:58:13 UTC
REVIEW: http://review.gluster.org/11600 (gfapi: add lease() fop) posted (#22) for review on master by Poornima G (pgurusid@redhat.com)

Comment 64 Vijay Bellur 2016-05-19 17:58:16 UTC
REVIEW: http://review.gluster.org/12496 (tests: Add lease test case) posted (#18) for review on master by Poornima G (pgurusid@redhat.com)

Comment 65 Vijay Bellur 2016-05-19 17:58:20 UTC
REVIEW: http://review.gluster.org/12876 (gfapi: Add api to set lkowner and leaseid) posted (#14) for review on master by Poornima G (pgurusid@redhat.com)

Comment 66 Vijay Bellur 2016-05-19 17:58:23 UTC
REVIEW: http://review.gluster.org/11722 (glusterd: volgen and volume set changes for leases) posted (#23) for review on master by Poornima G (pgurusid@redhat.com)

Comment 67 Vijay Bellur 2016-06-01 07:33:14 UTC
COMMIT: http://review.gluster.org/14434 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit b06a77f3446d622f8159f08508f4d5063ec50339
Author: Poornima G <pgurusid@redhat.com>
Date:   Thu May 19 05:04:13 2016 -0400

    leases: Fix the recall code path
    
    1. Replace frame->op usage with frame->root->op, as frame->op
       is not filled with appropriate value in all cases
    2. Add few log messages
    3. Fix boolean assignment
    
    Change-Id: I340f2200c1fcc4f4ce5a139b0fd22508cb8ac1e3
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/14434
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 68 Vijay Bellur 2016-06-02 06:50:59 UTC
REVIEW: http://review.gluster.org/11600 (gfapi: add lease() fop) posted (#23) for review on master by Poornima G (pgurusid@redhat.com)

Comment 69 Vijay Bellur 2016-06-02 06:51:02 UTC
REVIEW: http://review.gluster.org/12496 (tests: Add lease test case) posted (#19) for review on master by Poornima G (pgurusid@redhat.com)

Comment 70 Vijay Bellur 2016-06-02 06:51:05 UTC
REVIEW: http://review.gluster.org/12876 (gfapi: Add api to set lkowner and leaseid) posted (#15) for review on master by Poornima G (pgurusid@redhat.com)

Comment 71 Vijay Bellur 2016-06-02 06:51:08 UTC
REVIEW: http://review.gluster.org/11722 (glusterd: volgen and volume set changes for leases) posted (#24) for review on master by Poornima G (pgurusid@redhat.com)

Comment 72 Vijay Bellur 2016-06-03 04:58:47 UTC
COMMIT: http://review.gluster.org/11722 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit bc525b01002d7649be0ac28c5761c8ce92b6a658
Author: Poornima G <pgurusid@redhat.com>
Date:   Mon Jul 20 16:44:32 2015 +0530

    glusterd: volgen and volume set changes for leases
    
    Add leases xlator in volgen and also add corresponding volume set options
    
    Change-Id: Ic5de50cdb87eaf6a833e739bc7e08fecbeca3de3
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/11722
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 73 Vijay Bellur 2016-06-05 04:21:49 UTC
REVIEW: http://review.gluster.org/14647 (protocol: Add framework to send transaction id with recall) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

Comment 74 Vijay Bellur 2016-06-05 04:46:00 UTC
REVIEW: http://review.gluster.org/14647 (protocol: Add framework to send transaction id with recall) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

Comment 75 Vijay Bellur 2016-06-05 05:06:56 UTC
REVIEW: http://review.gluster.org/14647 (protocol: Add framework to send transaction id with recall) posted (#3) for review on master by Poornima G (pgurusid@redhat.com)

Comment 76 Vijay Bellur 2016-06-10 11:03:45 UTC
COMMIT: http://review.gluster.org/14647 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit 3bc419d8014877f64e57dc3368b0609396ec0d12
Author: Poornima G <pgurusid@redhat.com>
Date:   Sun Jun 5 00:06:11 2016 -0400

    protocol: Add framework to send transaction id with recall
    
    Issue:
    The upcall(cache invalidation/recall) event is sent from the bricks
    to clients. In AFR/EC setup, it can so happen that all the bricks
    will send the upcall for the same event, and if AFR/EC doesn't filter
    out these duplicate notifications, the logic above cluster xlators
    can fail.
    
    Solution:
    Use transaction id to filter out duplicate notifications.
    
    This patch adds framework for duplicate notifications.
    AFR/EC can build up on this patch for deduping the notifications
    
    Change-Id: I66b08e63b8799bc5932f2b2545376138a5701168
    BUG: 1319992
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/14647
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>

Comment 77 Niels de Vos 2016-06-16 12:31:57 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 78 Vijay Bellur 2016-08-01 05:47:29 UTC
REVIEW: http://review.gluster.org/13901 (rpc: Change the way client uuid is built) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 79 Worker Ant 2016-08-22 10:00:07 UTC
REVIEW: http://review.gluster.org/13901 (rpc: Change the way client uuid is built) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 80 Worker Ant 2018-01-17 10:21:14 UTC
REVIEW: https://review.gluster.org/11721 (afr: Add lease() fop) posted (#11) for review on master by Poornima G

Comment 81 Worker Ant 2018-04-09 15:32:29 UTC
REVIEW: https://review.gluster.org/11721 (afr: Add lease() fop) posted (#12) for review on master by jiffin tony Thottan

Comment 82 Worker Ant 2018-04-24 12:16:34 UTC
REVIEW: https://review.gluster.org/11721 (afr: Add lease() fop) posted (#13) for review on master by jiffin tony Thottan

Comment 83 Worker Ant 2018-05-05 11:54:08 UTC
COMMIT: https://review.gluster.org/11721 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- afr: Add lease() fop

Change-Id: Ied047dd5ee44e9d5a5d3db214826f7df30332ef9
updates: #350
BUG: 1319992
Signed-off-by: Poornima G <pgurusid@redhat.com>
Signed-off-by: Jiffin Tony Thottan <jthottan@redhat.com>

Comment 84 Shyamsundar 2018-06-20 17:56:51 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-v4.1.0, please open a new bug report.

glusterfs-v4.1.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2018-June/000102.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.